Subject: Re: bug#6305: 24.0.50; Regression: most, but not all, keyboard shortcuts are missing

From: Lennart Borgman <[email-masked]>
Date: Sun, 30 May 2010 03:49:15 +0200

On Sun, May 30, 2010 at 3:45 AM, Lennart Borgman
<[email-masked]> wrote:
> On Sun, May 30, 2010 at 12:18 AM, Drew Adams <[email-masked]> wrote:
>>> I have also noticed that key bindings are not always shown in the
>>> menus, but I wondered if that was because I was using
>>> overriding-terminal-local-map there. I havn't had time to check,
>>> however key bindings in global map and normal minor mode maps seems to
>>> show up fine in the menus.
>>
>> I am not using `overriding-terminal-local-map'.
>
>
> OK. Then it is at least partly another bug.
>
> In the C code it looks up key bindings like this:
>
>  (where-is-internal 'ido-kill-buffer nil t nil nil)
>
> However it seems like key remapping is forgotten there.
> where-is-internal does not handle remapping.
>
> Could someone who knows remapping please look at that?

Maybe I should say that this happens in parse_menu_item in keyboard.c.